/*
 * csv.cc
 */

#include <iostream>
#include <string>
#include <vector>
#include <fstream>
#include <sstream> 

#include "csv.hh"

// Constructor
Csv::Csv()
{}

// open file
bool Csv::openFile(std::string filename)
{
  ifs.open(filename);
  if (!ifs.is_open()) return false; // open error
  
  return true;
}


// read Line
bool Csv::readLine(vector<string>& data, char delim)
{
  string buffer;
  bool status;

  status = (bool) getline(ifs, buffer);
  if (status){
    istringstream iss(buffer);
    string field;

    while (getline(iss, field, delim)) data.push_back(field);

  }
  return status;
              
}
