/*
 * csv.hh
 */

/*
 * @class Csv
 */

#ifndef INCLUDED_CSV_HPP
#define INCLUDED_CSV_HPP

#include <string>
#include <vector>
#include <iostream>
#include <fstream>

using namespace std;

class Csv
{

  ifstream ifs;

public:
  // Constructor  
  Csv();
  // open file
  bool openFile(string);
  // get 1-line
  bool readLine(std::vector<string>&, const char delim = ',');

};

#endif
